net.sf.jasperreports.search

## Class LuceneSimpleAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - net.sf.jasperreports.search.LuceneSimpleAnalyzer

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class LuceneSimpleAnalyzer
      extends org.apache.lucene.analysis.Analyzer

  Version:
    $Id$
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `org.apache.lucene.analysis.Analyzer.GlobalReuseStrategy, org.apache.lucene.analysis.Analyzer.PerFieldReuseStrategy, org.apache.lucene.analysis.Analyzer.ReuseStrategy, org.apache.lucene.analysis.Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSimpleAnalyzer(org.apache.lucene.util.Version matchVersion, boolean isCaseSensitive, boolean removeAccents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents` | `createComponents(java.lang.String fieldName, java.io.Reader reader)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneSimpleAnalyzer

          public LuceneSimpleAnalyzer(org.apache.lucene.util.Version matchVersion,
                              boolean isCaseSensitive,
                              boolean removeAccents)

  - ### Method Detail

    - #### createComponents

          protected org.apache.lucene.analysis.Analyzer.TokenStreamComponents createComponents(java.lang.String fieldName,
                                                                                   java.io.Reader reader)

      Specified by:
        `createComponents` in class `org.apache.lucene.analysis.Analyzer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com